using System;
using System.Collections;
using System.ComponentModel;

using System.Data;

using System.Data.OleDb ;
using System.Text; // for StringBuilder 


using System.Drawing;
using System.Web;
using System.Web.SessionState;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;

namespace ex07
{
	/// <summary>
	/// Summary description for WebForm1.
	/// </summary>
	public class WebForm1 : System.Web.UI.Page
	{
		protected System.Web.UI.WebControls.Label lblResult;
	
		private void Page_Load(object sender, System.EventArgs e)
		{
			
			String FilePath;
			FilePath = Server.MapPath("acess_db.mdb");

			// Connect to Database
			OleDbConnection cnAccess = new 
				OleDbConnection("Provider=Microsoft.Jet.OLEDB.4.0;"+
				"Data Source="+ FilePath );
             
			cnAccess.Open();

            // Make the select statement
            string sSelectSQL = "select * from tblEntry";
            //Make the OleDbCommand object
            OleDbCommand cmdSelect = new OleDbCommand(sSelectSQL,cnAccess);
            OleDbDataAdapter daEmp = new OleDbDataAdapter(cmdSelect);
            
			DataSet dsEmp = new DataSet();

           StringBuilder sbResults = new StringBuilder();
           
			// Fill the data with the output of the cmdSelect command. Note
            // that the dataadapter is associated with the command. We use
            // the dataadapter to fill the dataset.
            daEmp.Fill(dsEmp, "tblEntry");
            PrintRows(dsEmp);
		}

		private void PrintRows(DataSet myDataSet)
		{
			StringBuilder sbResult =new  StringBuilder();

			// Iterate through all the DataTables in the DataSet
			foreach(DataTable dtEmp in myDataSet.Tables )
			{
				sbResult.Append("<Table>");
				// Iterate through all the DataRows in the DataTable
				foreach(DataRow drEmp in dtEmp.Rows )
				{
					sbResult.Append("<TR>");
					// Iterate through all the DataColumns in the DataRow
					foreach (DataColumn dcEmp in dtEmp.Columns)
					{
						sbResult.Append("<TD>");
						sbResult.Append(drEmp[dcEmp]);
						sbResult.Append("</TD>");
					}
					sbResult.Append("</TR>");
				}
				sbResult.Append("</Table>");
			}
			
			lblResult.Text = sbResult.ToString();
		}

		#region Web Form Designer generated code
		override protected void OnInit(EventArgs e)
		{
			//
			// CODEGEN: This call is required by the ASP.NET Web Form Designer.
			//
			InitializeComponent();
			base.OnInit(e);
		}
		
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{    
			this.Load += new System.EventHandler(this.Page_Load);

		}
		#endregion
	}
}
